Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
  1. AOI
  2. Create a new AOI

Create a new AOI

Creates a new AOI with specified parameters

POST/v0/aois
Authorisations
AuthorizationString
Request Body
namestringrequired
Unique user friendly name of the AOI for easier identificationExample: "AOI-D2"
descriptionstringrequired
Brief description of the AOI explaining its purpose or contentsExample: "This AOI contains images of D2"
satellite_idstringrequired
Unique identifier (UUID) for the satellite. Each satellite has a unique ID mapped to its name: - `Pixxel-TD1` - `0004ab8d-0ad1-4d62-8a3f-fe18a7000e70` - `Pixxel-TD2` - `0005c5bb-0bd2-4c80-9393-4a808341c54c`Example: "0005c5bb-0bd2-4c80-9393-4a808341c54c"
providerstringrequired
Data provider source for satellite imagery: - `pixxel` - For TD and Firefly satellite imagery - `planetary` - For all open source satellite data (Landsat, Sentinel, etc.)Example: "pixxel"
project_idstringrequired
UUID of the project this AOI belongs to. The AOI will be associated with this project for organizationExample: "ce5dcc14-8291-4b0c-a278-8c05ec426d22"
geometryobjectrequired
Polygon geometry defining the geographic boundary of the AOI
Show child attributes
item_idsstring[]required
Array of satellite image item IDs to include in this AOI. Item IDs Example: `["TD2_000650_20230404_L2A_20240405_01001067", "TD1_005630_20230314_L2A_20230504_03001069"]`Example: ["TD2_00056_20230815_L2A_004010_01001001"]
Response
application/json
Created
aoi_idstring
Unique identifier (UUID) of the created AOIExample: "e9767554-550e-4464-a677-b8cf096073ab"
namestring
Unique user friendly name of the AOI for easier identificationExample: "AOI-D2"
descriptionstring
Brief description of the AOI explaining its purpose or contentsExample: "This AOI contains images of D2"
satellite_idstring
Unique identifier (UUID) for the satellite. Each satellite has a unique ID mapped to its name: - `Pixxel-TD1` - `0004ab8d-0ad1-4d62-8a3f-fe18a7000e70` - `Pixxel-TD2` - `0005c5bb-0bd2-4c80-9393-4a808341c54c`Example: "0005c5bb-0bd2-4c80-9393-4a808341c54c"
project_idstring
UUID of the project this AOI belongs toExample: "ce5dcc14-8291-4b0c-a278-8c05ec426d22"
imagesobject
Map of images associated with the AOI, keyed by image identifier
eo_bandsstring[]
List of Earth Observation bands available for this AOIExample: ["B01","B02","B03"]
geometryobject
GeoJSON Polygon geometry defining the geographic boundary of the AOI
Show child attributes
progressinteger
Processing progress of the AOI from 0 to 100 in percentageExample: 100
statusstring
Current status of the AOI: success, started, running, failed, updating, partial_successExample: "success"
is_favouriteboolean
Whether the AOI is marked as favourite by the userExample: false
created_atstring
Timestamp when the AOI was created (ISO 8601 format)Example: "2022-11-14T12:55:49.125928+00:00"
updated_atstring
Timestamp when the AOI was last updated (ISO 8601 format)Example: "2022-11-14T12:55:49.125928+00:00"
user_idstring
Unique identifier of the user who created the AOIExample: "user-123456"
area_in_sq_mnumber
Total area of the AOI in square metersExample: 123456.78
centroidnumber[]
Geographic centroid coordinates of the AOI [longitude, latitude]Example: [77.55,12.95]
Create a new AOI
cURL
Python
Go
TypeScript
1curl -X POST 'https://api.pixxel.space/v0/aois' \
2 -H 'Authorization: YOUR_API_KEY' \
3 -H 'Content-Type: application/json' \
4 -d '{
5 "name": "AOI-D2",
6 "description": "This AOI contains images of D2",
7 "satellite_id": "0005c5bb-0bd2-4c80-9393-4a808341c54c",
8 "provider": "pixxel",
9 "project_id": "ce5dcc14-8291-4b0c-a278-8c05ec426d22",
10 "geometry": null,
11 "item_ids": [
12 "TD2_00056_20230815_L2A_004010_01001001"
13 ]
14}'
Response:
{
"aoi_id": "e9767554-550e-4464-a677-b8cf096073ab",
"name": "AOI-D2",
"description": "This AOI contains images of D2",
"satellite_id": "0005c5bb-0bd2-4c80-9393-4a808341c54c",
"project_id": "ce5dcc14-8291-4b0c-a278-8c05ec426d22",
"images": {},
"eo_bands": [
"B01",
"B02",
"B03"
],
"geometry": null,
"progress": 100,
"status": "success",
"is_favourite": false,
"created_at": "2022-11-14T12:55:49.125928+00:00",
"updated_at": "2022-11-14T12:55:49.125928+00:00",
"user_id": "user-123456",
"area_in_sq_m": 123456.78,
"centroid": [
77.55,
12.95
]
}
List all AOIsGet AOI